Skip to main content
POST
Search web

POST /api/v1/platform/scrapers/web/search

Search the web and return ranked results.
Run a web search and return result URLs, titles, and snippets.

Example

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
query
string
required

Search query

Example:

"best CRM software 2025"

maxResults
number
default:10
Required range: 1 <= x <= 50
searchDepth
enum<string>
default:basic
Available options:
basic,
advanced
topic
enum<string>
default:general
Available options:
general,
news
days
number

Limit results to last N days (news only)

includeDomains
string[]

Only include results from these domains

excludeDomains
string[]

Exclude results from these domains

Response

Successful response.

data
object
required
meta
object
required